{{ $appSection := "toolsApp" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $appName }}
  annotations:
    {{- include "data-tools.annotations" . | nindent 4 }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "data-tools.labels" . | nindent 4 }}
spec:
  replicas: {{ index . "Values" $appSection "replicas" }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ $appName }}
      {{- include "data-tools.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
        {{- include "data-tools.annotations" . | nindent 8 }}
        {{- if (index . "Values" $appSection "podAnnotations") }}
        {{- include "common.tplvalues.render" ( dict "value" (index . "Values" $appSection "podAnnotations") "context" $ ) | nindent 8 }}
        {{- end }}
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "data-tools.labels" . | nindent 8 }}
        {{- if .Values.podLabels }}
        {{- include "common.tplvalues.render" ( dict "value" .Values.podLabels "context" $ ) | nindent 8 }}
        {{- end }}
    spec:
      automountServiceAccountToken: false
      {{- include "data-tools.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      containers:
        - name: {{ $appName }}
          image: {{ include "data-tools.imageName" (list . $appSection) | quote }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          ports:
            - containerPort: {{ index . "Values" $appSection "port" }}
          resources:
            {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            capabilities:
              drop: [ "all" ]
          readinessProbe: {{include "data-tools.readinessProbe" (list . $appSection) | nindent 12 }}
          livenessProbe: {{include "data-tools.livenessProbe" (list . $appSection) | nindent 12 }}
{{ end }}
